
CC******************************************************************************
C   Copyright 1999 -- 2002 C. Kind, M. Reiher, J. Neugebauer, and B. A. Hess,
C   Chair of Theoretical Chemistry, Friedrich-Alexander-University 
C   Erlangen-Nuremberg, Egerlandstr. 3, D-91058 Erlangen, Germany.
C
C
C   This file is part of the package SNF.
C
C   SNF is free software; you can redistribute it and/or modify
C   it under the terms of the GNU General Public License as published by
C   the Free Software Foundation; either version 2 of the License, or
C   (at your option) any later version.
C
C   This program is distributed in the hope that it will be useful,
C   but WITHOUT ANY WARRANTY; without even the implied warranty of
C   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C   GNU General Public License for more details.
C
C   You should have received a copy of the GNU General Public License
C   along with this program; if not, write to the Free Software
C   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
C
CC******************************************************************************
      SUBROUTINE PREIG(IO,E,NORBS,A)
      IMPLICIT REAL*8 (A-H,O-Z)
      DIMENSION E(*)
      CHARACTER*(*) a
                                                                                
      WRITE(io,'(/,10x,A)')A                                       
      N=6                                                                       
      NTIMES=NORBS/N                                                            
      NREST=MOD(NORBS,N)                                                        
      IF(NTIMES.EQ.0) NREST=NORBS                                               
      IE=NREST-1                                                              
                                                                                
      J=1                                                                       
      N2=N                                                                      
                                                                                
      DO K=1,NTIMES                                                             
      WRITE(IO,*)                                                               
      WRITE(IO,100)(I,I=J,N2)                                                   
      WRITE(IO,300)(E(I),I=J,N2)                                                
      J =J +N                                                                   
      N2=N2+N                                                                   
      ENDDO                                                                     
                                                                                
      IF(NREST.GT.0.OR.NTIMES.EQ.0) THEN                                        
      WRITE(IO,*)                                                               
      IE=J+NREST-1                                                              
      WRITE(IO,100)(I,I=J,IE)                                                   
      WRITE(IO,300)(E(I),I=J,IE)                                                
      ENDIF                              
      RETURN                                                                    
 100  FORMAT(' ROOT NR.: ',2X,6(4X,I4,2X))                                      
 300  FORMAT(' EIGVAL  : ',2X,6F10.3)                                           
      END                                                                       
                                                                                
